--- title: "Delete the DoS Profile" slug: "delete-the-dos-profile-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/delete-the-dos-profile-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete the DoS Profile This URL deletes the DoS profile. ### Resource URL DELETE /sensor//deletedosprofile ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `DosProfileRestoreName` | DoS profile | Object | Yes | Details of DosProfileRestoreName: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `dosProfileName` | DoS profile name | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1002/deletedosprofile](https://<NSM_IP>/sdkapi/sensor/1002/deletedosprofile) **Payload** ``` {  "dosProfileName" : "profile_Thu_Apr_24_17_50_16_IST_2014.dat.gz" } ``` **Response** ``` {       "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 400 | 5601 | The profile name does not exist for the Sensor |